# UploadOrderFile

`POST /blms/webservice/filingassist/orders/file-upload.json`

**API:** Registrations and Licenses
**Tag:** Orders
**API Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/registration-and-licensing/api/registrations-and-licenses-order/methods/Orders/UploadOrderFile/

## Description

Attach a file to an existing order using the Order ID. The Order ID, file, and file type are required. This endpoint is used to attach the renewal invoice file for an Avalara License Filing Renewal order.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |

## Request Body

**Content-Type:** `multipart/form-data`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | File added to the order. |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |
| 500 | Internal Server Error |  |

## Example Request

```bash
curl -X POST "https://www.businesslicenses.com/blms/webservice/filingassist/orders/file-upload.json" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "key": "558c54a6-4b3a-4796-aax0-d35x0395a03d",
  "orderId": "OID-123",
  "fileCategory": "Renewal Invoice",
  "file": "example_file"
}'
```